# example:
#     path: '/{country}/example/{example_slug}'
#     protocol: 'get'
#     method: 'match'
#     class: 'Admin\Controllers\Example'
#     method: 'example'
#     middlewares:
#         before:
#             class: 'Admin\Middlewares\Customs'
#             method: 'exampleExampleBefore'
#         after:
#             class: 'Admin\Middlewares\Customs'
#             method: 'exampleExampleAfter'
#         finish:
#             class: 'Admin\Middlewares\Customs'
#             method: 'exampleExampleFinish'
#     values:
#         example_slug: 'example-value'
#     asserts:
#         example_slug: '[a-z_-]+'

index_index:
    path: '/{country}/'
    protocol: 'match'
    class: 'Admin\Controllers\Index'
    method: 'index'
    asserts:
        country: 'uk|au'

# Users
users_index:
    path: '/{country}/users'
    protocol: 'get'
    class: 'Admin\Controllers\Users'
    method: 'index'
    meta:
        menu_active: 'users'
    asserts:
        country: 'uk|au'
users_add:
    path: '/{country}/users/add'
    protocol: 'match'
    class: 'Admin\Controllers\Users'
    method: 'add'
    meta:
        menu_active: 'users'
    asserts:
        country: 'uk|au'
users_edit:
    path: '/{country}/users/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Users'
    method: 'edit'
    meta:
        menu_active: 'users'
    asserts:
        country: 'uk|au'
users_delete:
    path: '/{country}/users/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Users'
    method: 'delete'
    meta:
        menu_active: 'users'
    asserts:
        country: 'uk|au'

# Sponsors
sponsors_index:
    path: '/{country}/sponsors'
    protocol: 'get'
    class: 'Admin\Controllers\Sponsors'
    method: 'index'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'
sponsors_add:
    path: '/{country}/sponsors/add'
    protocol: 'match'
    class: 'Admin\Controllers\Sponsors'
    method: 'add'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'
sponsors_edit:
    path: '/{country}/sponsors/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Sponsors'
    method: 'edit'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'
sponsors_delete:
    path: '/{country}/sponsors/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Sponsors'
    method: 'delete'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'

# Teams
teams_index:
    path: '/{country}/teams'
    protocol: 'get'
    class: 'Admin\Controllers\Teams'
    method: 'index'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
    middlewares:
        before:
            class: 'Admin\Middlewares\SeasonFilter'
            method: 'before'
teams_add:
    path: '/{country}/teams/add'
    protocol: 'match'
    class: 'Admin\Controllers\Teams'
    method: 'add'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
teams_edit:
    path: '/{country}/teams/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Teams'
    method: 'edit'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
teams_delete:
    path: '/{country}/teams/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Teams'
    method: 'delete'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'

# Games
games_index:
    path: '/{country}/games'
    protocol: 'get'
    class: 'Admin\Controllers\Games'
    method: 'index'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
games_add:
    path: '/{country}/games/add'
    protocol: 'match'
    class: 'Admin\Controllers\Games'
    method: 'add'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
games_edit:
    path: '/{country}/games/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Games'
    method: 'edit'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
games_delete:
    path: '/{country}/games/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Games'
    method: 'delete'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'

# Seasons
seasons_index:
    path: '/{country}/seasons'
    protocol: 'match'
    class: 'Admin\Controllers\Seasons'
    method: 'index'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
seasons_add:
    path: '/{country}/seasons/add'
    protocol: 'match'
    class: 'Admin\Controllers\Seasons'
    method: 'add'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
seasons_edit:
    path: '/{country}/seasons/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Seasons'
    method: 'edit'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
seasons_delete:
    path: '/{country}/seasons/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Seasons'
    method: 'delete'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'

# Members
members_index:
    path: '/{country}/members'
    protocol: 'match'
    class: 'Admin\Controllers\Members'
    method: 'index'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
    middlewares:
        before:
            class: 'Admin\Middlewares\SeasonFilter'
            method: 'before'
members_list:
    path: '/{country}/members/list'
    protocol: 'get'
    class: 'Admin\Controllers\Members'
    method: 'list'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
members_add:
    path: '/{country}/members/add'
    protocol: 'match'
    class: 'Admin\Controllers\Members'
    method: 'add'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
members_edit:
    path: '/{country}/members/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Members'
    method: 'edit'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
members_delete:
    path: '/{country}/members/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Members'
    method: 'delete'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
members_update:
    path: '/{country}/members/update'
    protocol: 'get'
    class: 'Admin\Controllers\Members'
    method: 'update'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'

# Matches
matches_index:
    path: '/{country}/matches'
    protocol: 'get'
    class: 'Admin\Controllers\Matches'
    method: 'index'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
    middlewares:
        before:
            class: 'Admin\Middlewares\SeasonFilter'
            method: 'before'
matches_add:
    path: '/{country}/matches/add'
    protocol: 'match'
    class: 'Admin\Controllers\Matches'
    method: 'add'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
matches_edit:
    path: '/{country}/matches/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Matches'
    method: 'edit'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'
matches_delete:
    path: '/{country}/matches/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Matches'
    method: 'delete'
    meta:
        menu_active: 'elite-series'
    asserts:
        country: 'uk|au'

# Videos
videos_intra:
    path: '/{country}/videos/intra'
    protocol: 'match'
    class: 'Admin\Controllers\Videos'
    method: 'intra'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'
videos_twitch:
    path: '/{country}/videos/twitch'
    protocol: 'match'
    class: 'Admin\Controllers\Videos'
    method: 'twitch'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'

# Home
home_carousel:
    path: '/{country}/home/carousel'
    protocol: 'match'
    class: 'Admin\Controllers\Home'
    method: 'carousel'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'

# Popins
popins_playing:
    path: '/{country}/popins/playing'
    protocol: 'match'
    class: 'Admin\Controllers\Popins'
    method: 'playing'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'

# Pages
pages_edit:
    path: '/{country}/pages/edit/{slug}'
    protocol: 'match'
    class: 'Admin\Controllers\Pages'
    method: 'edit'
    meta:
        menu_active: 'pages'
    asserts:
        country: 'uk|au'

# Social
social_index:
    path: '/{country}/social'
    protocol: 'match'
    class: 'Admin\Controllers\Social'
    method: 'index'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'

social_toggle:
    path: '/{country}/social/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Social'
    method: 'toggle'
    meta:
        menu_active: 'content'
    asserts:
        country: 'uk|au'

# Login
connect_login:
    path: '/{country}/connect/login'
    protocol: 'get'
    class: 'Admin\Controllers\Connect'
    method: 'login'
    asserts:
        country: 'uk|au'
connect_check:
    path: '/{country}/connect/check'
    protocol: 'get'
    class: 'Admin\Controllers\Connect'
    method: 'check'
    asserts:
        country: 'uk|au'
connect_logout:
    path: '/{country}/connect/logout'
    protocol: 'get'
    class: 'Admin\Controllers\Connect'
    method: 'logout'
    asserts:
        country: 'uk|au'

# Error
error_index:
    path: '/{country}/[routes.error]'
    protocol: 'get'
    class: 'Admin\Controllers\Error'
    method: 'index'
    asserts:
        country: 'uk|au'
